# $Revision: 1.11 $, $Date: 2008/12/20 11:59:04 $
Summary:	Additional file formats support for Tk
Summary(pl.UTF-8):	Obsługa dodatkowych formatów plików dla Tk
Name:		tk-Img
Version:	1.2.4
Release:	4
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://www.neosoft.com/tcl/ftparchive/sorted/packages-8.0/graphics/Img/1.2/img%{version}.tar.gz
# Source0-md5:	abfda1cc55555fc2490e761bde165078
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-jpeg.patch
Patch2:		%{name}-tk84.patch
Patch3:		%{name}-tk85.patch
URL:		http://tkimg.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel >= 3.5.5
BuildRequires:	tcl-devel
BuildRequires:	tk-devel >= 8.5.0
BuildRequires:	zlib-devel >= 1.1.3
Requires:	tk >= 8.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package enhances Tk, adding support for many other Image formats:
BMP, XBM, XPM, GIF (with transparency, but without LZW), PNG, JPEG,
TIFF and PostScript.

%description -l pl.UTF-8
Ten pakiet rozszerza Tk, dodając obsługę wielu formatów graficznych:
BMP, XBM, XPM, GIF (z przezroczystością, ale bez LZW), PNG, JPEG, TIFF
oraz PostScript.

%prep
%setup -qn img%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make} \
	IMG_LD_SEARCH_FLAGS="" \
	CFLAGS="%{rpmcflags} -I/usr/include/tcl-private/generic -I/usr/include/tcl-private/unix"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	IMG_LD_SEARCH_FLAGS=""

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE README changes license.terms
%{_prefix}/lib/Img*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tk-Img.spec,v $
Revision 1.11  2008/12/20 11:59:04  adamg
- tk-8.5 support; sf url; release 4

Revision 1.10  2007-11-17 03:19:02  wolvverine
- BR

Revision 1.9  2007-02-12 22:09:17  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.7  2004/10/06 13:28:06  qboosh
- prefix/lib not /usr/lib; unifications

Revision 1.6  2004/09/20 21:27:51  havner
- tk: /usr/lib even on amd64

Revision 1.5  2003/06/16 13:10:46  wiget
- fix building with Tk 8.4.x
- release 2

Revision 1.4  2003/05/28 13:02:16  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/01/19 22:21:54  qboosh
- pl description, BR: autoconf,automake

Revision 1.1  2003/01/12 09:08:56  jajcus
- initial spec
